kr.co.hanwha.hifive.admin.admin.data

## Class AdminDataRepostiory

- java.lang.Object
- - kr.co.hanwha.hifive.admin.admin.data.AdminDataRepostiory

- All Implemented Interfaces:
    AdminDataSource, BaseDataSource

      public class AdminDataRepostiory
      extends java.lang.Object
      implements AdminDataSource

  Created by sanghoonkwon on 2018. 3. 12..

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static AdminDataRepostiory` | `sInstance`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdminDataRepostiory()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearData()` Clear data
    `static void` | `destroyInstance()`
    `static AdminDataRepostiory` | `getInstance()`
    `void` | `getMemberDetail(android.content.Context context, int member_id, HanwhaNetworkCallback callback)`
    `void` | `requestResetPassword(android.content.Context context, int member_id, java.lang.String password, HanwhaNetworkCallback callback)`
    `void` | `requestResetSimplePassword(android.content.Context context, int member_id, HanwhaNetworkCallback callback)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### sInstance

          private static AdminDataRepostiory sInstance

  - ### Constructor Detail

    - #### AdminDataRepostiory

          public AdminDataRepostiory()

  - ### Method Detail

    - #### getInstance

          public static AdminDataRepostiory getInstance()

    - #### destroyInstance

          public static void destroyInstance()

    - #### clearData

          public void clearData()

      Description copied from interface: `BaseDataSource`
      Clear data
      Specified by:
        `clearData` in interface `BaseDataSource`

    - #### getMemberDetail

          public void getMemberDetail(@NonNull
                                      android.content.Context context,
                                      @NonNull
                                      int member_id,
                                      @NonNull
                                      HanwhaNetworkCallback callback)

      Specified by:
        `getMemberDetail` in interface `AdminDataSource`

    - #### requestResetPassword

          public void requestResetPassword(@NonNull
                                           android.content.Context context,
                                           @NonNull
                                           int member_id,
                                           @NonNull
                                           java.lang.String password,
                                           @NonNull
                                           HanwhaNetworkCallback callback)

      Specified by:
        `requestResetPassword` in interface `AdminDataSource`

    - #### requestResetSimplePassword

          public void requestResetSimplePassword(@NonNull
                                                 android.content.Context context,
                                                 @NonNull
                                                 int member_id,
                                                 @NonNull
                                                 HanwhaNetworkCallback callback)

      Specified by:
        `requestResetSimplePassword` in interface `AdminDataSource`